package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.FacsCategory;

import java.util.List;

/**
 * 能源设施/系统分类Service接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface IFacsCategoryService {
    /**
     * 查询能源设施/系统分类
     *
     * @param id 能源设施/系统分类主键
     * @return 能源设施/系统分类
     */
    FacsCategory selectCategoryById(Long id);

    /**
     * 查询能源设施/系统分类
     *
     * @param code code
     * @return 能源设施/系统分类
     */
    FacsCategory selectCategoryByCode(String code);

    /**
     * 查询能源设施/系统分类列表
     *
     * @return 能源设施/系统分类集合
     */
    List<FacsCategory> selectCategoryList();

    /**
     * 查询能源设施/系统分类列表
     *
     * @param emsCategory 能源设施/系统分类
     * @return 能源设施/系统分类集合
     */
    List<FacsCategory> selectCategoryList(FacsCategory emsCategory);

    /**
     * 新增能源设施/系统分类
     *
     * @param emsCategory 能源设施/系统分类
     * @return 结果
     */
    int insertCategory(FacsCategory emsCategory);

    /**
     * 修改能源设施/系统分类
     *
     * @param emsCategory 能源设施/系统分类
     * @return 结果
     */
    int updateCategory(FacsCategory emsCategory);

    /**
     * 批量删除能源设施/系统分类
     *
     * @param ids 需要删除的能源设施/系统分类主键集合
     * @return 结果
     */
    int deleteCategoryByIds(Long[] ids);

    /**
     * 删除能源设施/系统分类信息
     *
     * @param id 能源设施/系统分类主键
     * @return 结果
     */
    int deleteCategoryById(Long id);
}
